Locking the screen once leaves screen contents visible but not interactive. Locking the screen a second time works.

Bug #1799293 reported by Javier Paniagua Laconich on 2018-10-22
224
This bug affects 46 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
High
Andrea Azzarone
Bionic
High
Andrea Azzarone
Cosmic
High
Andrea Azzarone
Disco
High
Andrea Azzarone
gnome-shell-extension-ubuntu-dock (Ubuntu)
High
Andrea Azzarone
Bionic
High
Andrea Azzarone
Cosmic
High
Andrea Azzarone
Disco
High
Andrea Azzarone

Bug Description

1) Ubuntu 18.10 (new install)
2) gdm3 3.30.1-1ubuntu5

Preconditions
The session's user has auto-login enabled (i.e. the system starts and the user is not prompted for a password but directly presented with the desktop)

3) What should happen:
Unlocked desktop is showing. Lock screen is invoked (via WIN+L or via top right corner menu) and the lock screen is engaged (that is, lock screen clock shade drops down and screen fades to dark). Pressing ENTER brings back the lock screen and the password is prompted.

4) What happens:
First Win + L lets the system in a half locked state in which the contents of the desktop are seen although no interaction is possible. A second Win + L correctly invokes the lock screen.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1799293/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → gnome-session (Ubuntu)
affects: gnome-session (Ubuntu) → gnome-shell (Ubuntu)

Can't reproduce this in a fresh installation, do you have anything special in your setup?

Changed in gnome-shell (Ubuntu):
status: New → Incomplete

It's Ubuntu only. I chose disk encryption using the standard install procedure (reason why it's a fresh install rather than an upgrade from 18.04).

Would that qualify as "special"?

No cosmic-proposed or PPAs or other weirdness.

If it helps somehow, I noticed that now that I disabled auto-login, I'm also affected by Bug #1799052 (happens infrequently though).

Jean-Baptiste Lallement (jibel) wrote :

I don't think it's related to auto-login. I had this problem last week but it is not reproducible after a reboot. I attached the journal from last week.

I have the following extensions enabled:
- Alternate Tab
- Better volume indicator
- Media player indicator
- No topleft hot corner
- Sound input/output device chooser
- System monitor

Changed in gnome-shell (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → High
summary: - gnome session: Must ask twice to lock the screen when user has auto-
- login enabled
+ gnome session: Must ask twice to lock the screen
Andrea Azzarone (azzar1) on 2018-10-24
Changed in gnome-shell (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Triaged
status: Triaged → Confirmed

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell-extension-dashtodock (Ubuntu):
status: New → Confirmed
Jean-Francois Juneau (jfjuneau) wrote :

This bug is not specific to Ubuntu, I found out today that I have exactly the same problem on my other desktop running Fedora 29 with GNOME 3.30.1. I have the following extensions installed on it:

- (K)StatusNotifierItem/AppIndicator Support
- Dash to dock
- No topleft hot corner
- Background logo

Plurtu (plurtu) wrote :

Workaround is to change the Dash to Dock setting "Customize opacity - Tune the dash background opacity" to "Fixed".

Brian Murray (brian-murray) wrote :

I've also had this issue and do not have auto-login enabled, it might be worth nothing that the upper panel from my second monitor has disappeared both times this has happened.

tags: added: rls-cc-incoming rls-dd-incoming
Will Cooke (willcooke) on 2018-11-20
Changed in gnome-shell (Ubuntu Cosmic):
assignee: nobody → Andrea Azzarone (azzar1)
tags: added: rls-cc-tracking
removed: rls-cc-incoming
Iain Lane (laney) on 2018-11-20
Changed in gnome-shell (Ubuntu Bionic):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell (Ubuntu Disco):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell-extension-dashtodock (Ubuntu Bionic):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell-extension-dashtodock (Ubuntu Cosmic):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell-extension-dashtodock (Ubuntu Disco):
assignee: nobody → Andrea Azzarone (azzar1)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu Bionic):
status: New → Confirmed
Changed in gnome-shell (Ubuntu Cosmic):
status: New → Confirmed
Changed in gnome-shell-extension-dashtodock (Ubuntu Bionic):
status: New → Confirmed
Changed in gnome-shell-extension-dashtodock (Ubuntu Cosmic):
status: New → Confirmed

It affects me as well. But:

1) I have no auto-login.
2) I have no Dash to Dock installed, so I cannot even try the workaround from #7.
3) It is 100% reproducible.
4) If I don't lock the screen manually (that is with Win+L) everything works properly.

In general, I have a feeling that after locking my Gnome instance is duplicated (one running inside of the other overlapping each other?) --- hence the need to lock twice and the left panel is not auto-hiding anymore, and most of the top indicators are missing.

Plurtu (plurtu) wrote :

> I have no Dash to Dock installed, so I cannot even try the workaround from #7.

Ubuntu Dock is derived from Dash to Dock and abides by the same settings. You can change the transparency setting from the terminal with:

gsettings set org.gnome.shell.extensions.dash-to-dock transparency-mode FIXED

Andrea Azzarone (azzar1) on 2018-11-27
tags: removed: rls-dd-incoming
Ads20000 (ads20000) wrote :

I can reproduce this issue (no extensions other than those included in the Ubuntu session) in Ubuntu 18.10 and without the precondition in the bug report (I don't have auto-login and I can still reproduce this bug).

Andrea, does the following `journalctl -f` output help at all? https://paste.ubuntu.com/p/MWHpfHNh2K/

Ads20000 (ads20000) wrote :

Actually, here's a better output of `journalctl -f`: https://paste.ubuntu.com/p/s4zm34453Y/

Dec 05 23:02:51 is pressing Super+L the first time.
Dec 05 23:02:56 is pressing Super+L the second time.
Dec 05 23:03:01 is logging back in (pressing space and typing after the screen has been locked).

summary: - gnome session: Must ask twice to lock the screen
+ Locking the screen once leaves screen contents visible but not
+ interactive. Locking the screen a second time works.
Changed in gnome-shell (Ubuntu Bionic):
importance: Undecided → High
Changed in gnome-shell (Ubuntu Cosmic):
importance: Undecided → High
Helio Neto (remiariro) wrote :

Related and possible duplicates: #1809536, #1807265, #1800475

Galileo Sartor (lyzardking) wrote :

This is the pastebin from my system.
Very rarely it'll logout instead of unlocking.
More often it'll show the undecorated windows (no top bar) for a second then ask again for the password.
It's a freshly (as of today) reinstalled ubuntu 18.10.
https://paste.ubuntu.com/p/zBMpHrjmqt/

stsp (stsp-0) wrote :

Exceptionally annoying bug.
Fortunately I've found about Win-L from
this thread, so maybe if it works for me,
at least I won't have to reboot after every
attempt of locking the screen...

Tarmo Sundström (sundflux) wrote :

When this gets fixed?

Been broken since the release. Also just suspending and waking up breaks the login screen, showing dock and your desktop (randomly). This should be handled as priority security bug... basically it renders whole release impossible to recommend to any normal user because whole thing is broken after suspend.

Harry P (hjwp2) wrote :

@Tarmo, have you tried pressing super+L after resume, maybe twice? that brings backa login prompt for me.

ps I don't work for ubuntu or canonical or anything, but I can't help saying -- please don't nag open source teams about fixing bugs, it doesn't help. if you need to recommendation ubuntu to "normal" users, the lts doesn't have this problem. if you really need a fix you can always fix it yourself, or pay someone else to.

Gabriel C. (inanutshellus) wrote :

@hjwp2, For most folk I do believe Super+L twice is sufficient but it isn't a full workaround. While it does suspend the machine, it doesn't prevent the thing folks are fussing about: If someone wakes up your machine the UI is still bugged, so a random citizen is still able to interact with the docks (so they can run any script you have in your dock). That and... maybe you don't want to suspend your machine. How big of a deal these are is... relative.

Andrea Azzarone (azzar1) wrote :
Changed in gnome-shell (Ubuntu Bionic):
status: Confirmed → Invalid
Changed in gnome-shell (Ubuntu Cosmic):
status: Confirmed → Invalid
Changed in gnome-shell (Ubuntu Disco):
status: Confirmed → Invalid
Changed in gnome-shell-extension-dashtodock (Ubuntu Disco):
status: Confirmed → In Progress
Changed in gnome-shell-extension-dashtodock (Ubuntu Cosmic):
status: Confirmed → Triaged
Changed in gnome-shell-extension-dashtodock (Ubuntu Bionic):
status: Confirmed → Triaged
Andrea Azzarone (azzar1) wrote :
Changed in gnome-shell-extension-dashtodock (Ubuntu Disco):
status: In Progress → Fix Released
Changed in gnome-shell-extension-dashtodock (Ubuntu Cosmic):
status: Triaged → In Progress
Changed in gnome-shell-extension-dashtodock (Ubuntu Bionic):
status: Triaged → In Progress
Jan (jboockmann) wrote :

I am having the same issue on my freshly updated 18.04 Ubuntu, but I could find the following (temporary) workaround:

1. Invoke the gnome command window by pressing Alt+F2
2. Enter `r` (without leading and trailing ` character)
3. Hit enter

Hope this helps :-)

Daniel van Vugt (vanvugt) wrote :

Sounds like this bug is assigned to the wrong component.

Shouldn't this be assigned to gnome-shell-extension-ubuntu-dock instead?

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Disco):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
importance: Undecided → Medium
status: New → In Progress
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
importance: Undecided → High
status: New → In Progress
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
importance: Medium → High
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Disco):
importance: Undecided → High
status: New → Fix Released
Changed in gnome-shell-extension-dashtodock (Ubuntu Bionic):
status: In Progress → Incomplete
Changed in gnome-shell-extension-dashtodock (Ubuntu Cosmic):
status: In Progress → Incomplete
Changed in gnome-shell-extension-dashtodock (Ubuntu Disco):
status: Fix Released → Incomplete
Andrea Azzarone (azzar1) on 2019-02-20
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
status: In Progress → Fix Released
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
status: In Progress → Fix Released
no longer affects: gnome-shell-extension-dashtodock (Ubuntu)
no longer affects: gnome-shell-extension-dashtodock (Ubuntu Bionic)
no longer affects: gnome-shell-extension-dashtodock (Ubuntu Cosmic)
no longer affects: gnome-shell-extension-dashtodock (Ubuntu Disco)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments